> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quno.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Topic

> Returns topic info and prompts that belong to the topic



## OpenAPI

````yaml GET /api/v1/topics/get_topic/{id}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.quno.ai
security:
  - bearerAuth: []
paths:
  /api/v1/topics/get_topic/{id}:
    get:
      description: Returns topic info and prompts that belong to the topic
      parameters:
        - name: id
          in: path
          description: UUID of topic to get
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Topic info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Topic'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Topic:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        subitems:
          type: array
          items:
            $ref: '#/components/schemas/Prompt'
      required:
        - id
        - name
        - subitems
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Prompt:
      type: object
      properties:
        id:
          type: integer
        prompt:
          type: string
        search_intent:
          type: string
        search_volume:
          type: integer
      required:
        - id
        - prompt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````